diff -r 046ade63abc4 -r 006fe5e79583 libgui/graphics/Table.h
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/libgui/graphics/Table.h	Fri Aug 19 21:21:35 2016 +0100
@@ -0,0 +1,90 @@
+/*
+
+Copyright (C) 2016 Andrew Thornton
+
+This file is part of Octave.
+
+Octave is free software; you can redistribute it and/or modify it
+under the terms of the GNU General Public License as published by the
+Free Software Foundation; either version 3 of the License, or (at your
+option) any later version.
+
+Octave is distributed in the hope that it will be useful, but WITHOUT
+ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+for more details.
+
+You should have received a copy of the GNU General Public License
+along with Octave; see the file COPYING.  If not, see
+<http://www.gnu.org/licenses/>.
+
+*/
+
+#if ! defined (octave_Table_h)
+#define octave_Table_h 1
+
+#include "Object.h"
+
+class QCheckBox;
+class QTableWidget;
+class QTableWidgetItem;
+
+namespace QtHandles
+{
+
+class Container;
+
+class Table : public Object
+{
+  Q_OBJECT
+
+public:
+  Table (const graphics_object& go, QTableWidget* tableWidget);
+  ~Table (void);
+
+  Container* innerContainer (void) { return m_container; }
+
+  bool eventFilter (QObject* watched, QEvent* event);
+
+  static Table* create (const graphics_object& go);
+
+protected:
+  void update (int pId);
+  //void redraw (void);
+  void updateColumnname (void);
+  void updateColumnwidth (void);
+  void updateData (void);
+  void updateEnable (void);
+  void updateExtent (void);
+  void updatePalette (void);
+  void updateRearrangeableColumns (void);
+  void updateRowname (void);
+
+private slots:
+  void itemChanged (QTableWidgetItem* item);
+  void comboBoxCurrentIndexChanged (const QString& value);
+  void cellClicked (int row, int col);
+  void itemSelectionChanged (void);
+
+private:
+  Container* m_container;
+  QTableWidget* m_tableWidget;
+  bool m_blockUpdates;
+  bool m_keyPressHandlerDefined;
+  bool m_keyReleaseHandlerDefined;
+  QCheckBox * checkBoxForLogical(octave_value cal, bool enabled);
+  void updateData (int row, int col, octave_value value, std::string format, bool enabled);
+  void updateData (int row, int col);
+  void updateDataColumn (int col);
+  std::string columnformat (int column);
+  bool columneditable (int column);
+  void sendCellEditCallback (int row, int col, octave_value old_value, octave_value new_value, octave_value edit_data, octave_value error);
+  void checkBoxClicked (int row, int col, QCheckBox* checkBox);
+
+
+
+};
+
+}; // namespace QtHandles
+
+#endif
diff -r 046ade63abc4 -r 006fe5e79583 libgui/graphics/__init_qt__.cc
--- a/libgui/graphics/__init_qt__.cc	Fri Aug 19 21:05:48 2016 +0200
+++ b/libgui/graphics/__init_qt__.cc	Fri Aug 19 21:21:35 2016 +0100
@@ -74,6 +74,9 @@
           root.set ("defaultuicontrolforegroundcolor",
                     octave_value (Utils::toRgb
                                   (p.color (QPalette::WindowText))));
+          root.set ("defaultuitableforegroundcolor",
+                    octave_value (Utils::toRgb
+                                  (p.color (QPalette::WindowText))));
           root.set ("defaultuipanelbackgroundcolor",
                     octave_value (Utils::toRgb (p.color (QPalette::Window))));
           root.set ("defaultuipanelforegroundcolor",
diff -r 046ade63abc4 -r 006fe5e79583 libgui/graphics/module.mk
--- a/libgui/graphics/module.mk	Fri Aug 19 21:05:48 2016 +0200
+++ b/libgui/graphics/module.mk	Fri Aug 19 21:21:35 2016 +0100
@@ -19,6 +19,7 @@
   libgui/graphics/moc-PushTool.cc \
   libgui/graphics/moc-SliderControl.cc \
   libgui/graphics/moc-TextEdit.cc \
+  libgui/graphics/moc-Table.cc \
   libgui/graphics/moc-ToggleTool.cc \
   libgui/graphics/moc-ToolBar.cc
 
@@ -75,6 +76,7 @@
   libgui/graphics/QtHandlesUtils.h \
   libgui/graphics/RadioButtonControl.h \
   libgui/graphics/SliderControl.h \
+  libgui/graphics/Table.h \
   libgui/graphics/TextControl.h \
   libgui/graphics/TextEdit.h \
   libgui/graphics/ToggleButtonControl.h \
@@ -114,6 +116,7 @@
   libgui/graphics/QtHandlesUtils.cc \
   libgui/graphics/RadioButtonControl.cc \
   libgui/graphics/SliderControl.cc \
+  libgui/graphics/Table.cc \
   libgui/graphics/TextControl.cc \
   libgui/graphics/TextEdit.cc \
   libgui/graphics/ToggleButtonControl.cc \
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/gl-render.cc
--- a/libinterp/corefcn/gl-render.cc	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/corefcn/gl-render.cc	Fri Aug 19 21:21:35 2016 +0100
@@ -674,7 +674,8 @@
       draw_image (dynamic_cast<const image::properties&> (props));
     else if (go.isa ("uimenu") || go.isa ("uicontrol")
              || go.isa ("uicontextmenu") || go.isa ("uitoolbar")
-             || go.isa ("uipushtool") || go.isa ("uitoggletool"))
+             || go.isa ("uipushtool") || go.isa ("uitoggletool")
+             || go.isa ("uitable"))
       ; // SKIP
     else if (go.isa ("uipanel"))
       {
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/graphics.cc
--- a/libinterp/corefcn/graphics.cc	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/corefcn/graphics.cc	Fri Aug 19 21:21:35 2016 +0100
@@ -542,6 +542,32 @@
   return m;
 }
 
+static Matrix
+default_table_position (void)
+{
+  Matrix retval (1, 4);
+
+  retval(0) = 20;
+  retval(1) = 20;
+  retval(2) = 300;
+  retval(3) = 300;
+
+  return retval;
+}
+
+static Matrix
+default_table_backgroundcolor (void)
+{
+  Matrix retval (2, 3);
+  retval(0, 0) = 1;
+  retval(0, 1) = 1;
+  retval(0, 2) = 1;
+  retval(1, 0) = 0.94;
+  retval(1, 1) = 0.94;
+  retval(1, 2) = 0.94;
+  return retval;
+}
+
 static double
 convert_font_size (double font_size, const caseless_str& from_units,
                    const caseless_str& to_units, double parent_height = 0)
@@ -1041,7 +1067,7 @@
                   pfx = name.substr (0, 7);
 
                   if (pfx.compare ("surface") || pfx.compare ("hggroup")
-                      || pfx.compare ("uipanel"))
+                      || pfx.compare ("uipanel") || pfx.compare ("uitable"))
                     offset = 7;
                   else if (len >= 9)
                     {
@@ -1123,6 +1149,8 @@
     go = new uibuttongroup (h, p);
   else if (type.compare ("uicontextmenu"))
     go = new uicontextmenu (h, p);
+  else if (type.compare ("uitable"))
+    go = new uitable (h, p);
   else if (type.compare ("uitoolbar"))
     go = new uitoolbar (h, p);
   else if (type.compare ("uipushtool"))
@@ -1955,7 +1983,7 @@
                   pfx = name.substr (0, 7);
 
                   if (pfx.compare ("surface") || pfx.compare ("hggroup")
-                      || pfx.compare ("uipanel"))
+                      || pfx.compare ("uipanel") || pfx.compare ("uitable"))
                     offset = 7;
                   else if (len > 9)
                     {
@@ -2028,6 +2056,8 @@
             has_property = uipanel::properties::has_core_property (pname);
           else if (pfx == "uicontextmenu")
             has_property = uicontextmenu::properties::has_core_property (pname);
+          else if (pfx == "uitable")
+            has_property = uitable::properties::has_core_property (pname);
           else if (pfx == "uitoolbar")
             has_property = uitoolbar::properties::has_core_property (pname);
           else if (pfx == "uipushtool")
@@ -2095,7 +2125,7 @@
                   pfx = name.substr (0, 7);
 
                   if (pfx.compare ("surface") || pfx.compare ("hggroup")
-                      || pfx.compare ("uipanel"))
+                      || pfx.compare ("uipanel") || pfx.compare ("uitable"))
                     offset = 7;
                   else if (len > 9)
                     {
@@ -9157,6 +9187,251 @@
 
 // ---------------------------------------------------------------------
 
+Matrix
+uitable::properties::get_boundingbox (bool,
+                                      const Matrix& parent_pix_size) const
+{
+  Matrix pos = get_position ().matrix_value ();
+  Matrix parent_size (parent_pix_size);
+
+  if (parent_size.is_empty ())
+    {
+      graphics_object go = gh_manager::get_object (get_parent ());
+
+      parent_size =
+        go.get_properties ().get_boundingbox (true).extract_n (0, 2, 1, 2);
+    }
+
+  pos = convert_position (pos, get_units (), "pixels", parent_size);
+
+  pos(0)--;
+  pos(1)--;
+  pos(1) = parent_size(1) - pos(1) - pos(3);
+  return pos;
+}
+
+void
+uitable::properties::set_columnformat (const octave_value& val)
+{
+  /* Matlab only allows certain values for columnformat - here we will only
+     check the structure of the argument. Values will be checked in Table.cc */
+
+  if (val.is_cellstr ())
+    {
+      if (columnformat.set (val, true))
+        {
+          mark_modified ();
+        }
+    }
+  else if (val.is_cell ())
+    {
+      Cell cell_value = val.cell_value ();
+
+      for (int i = 0; i < cell_value.numel (); i++)
+        {
+          octave_value v = cell_value (i);
+          if (v.is_cell ())
+            {
+              /* We are in a pop-up menu selection
+               * Matlab only allows non-empty strings here */
+              Cell popup = v.cell_value ();
+              for (int j = 0; j < popup.numel (); j++)
+                {
+                  octave_value p = popup (j);
+                  if (!p.is_string () || p.string_value ().length () == 0)
+                    {
+                      error ("set: pop-up menu definitions must be non-empty strings.");
+                    }
+                }
+            }
+          else if (!(v.is_string () || v.is_empty ()))
+            {
+              error ("set: columnformat definintions must be a cellstr of "
+                "either 'char', 'short [e|g|eng]?', 'long [e|g|eng]?', "
+                "'numeric', 'bank', '+', 'rat', 'logical', or a cellstr of non-empty "
+                "pop-up menu definitions.");
+            }
+        }
+
+      if (columnformat.set (val, true))
+        {
+          mark_modified ();
+        }
+    }
+  else if (val.is_empty ())
+    {
+      if (columnformat.set (Cell (), true))
+        {
+          mark_modified ();
+        }
+    }
+  else
+    {
+      error ("set: expecting cell of strings.");
+    }
+}
+
+void
+uitable::properties::set_columnwidth (const octave_value& val)
+{
+  bool error_exists = false;
+  if (val.is_string ()  && val.string_value (false) == "auto")
+    {
+      error_exists = false;
+    }
+  else if (val.is_cell ())
+    {
+      Cell cell_value = val.cell_value ();
+      for (int i = 0; i < cell_value.numel (); i++)
+        {
+          octave_value v = cell_value (i);
+          if (v.is_string ())
+            {
+              if (v.string_value (false) != "auto")
+                error_exists = true;
+            }
+          else if (v.is_cell ())
+            {
+              error_exists = true;
+            }
+          else if (!(v.is_scalar_type ()))
+            {
+              error_exists = true;
+            }
+        }
+    }
+  else
+    {
+      error_exists = true;
+    }
+
+  if (error_exists)
+    {
+      error ("set: expecting either 'auto' or a cell of pixel values or auto.");
+    }
+  else
+    {
+      if (columnwidth.set (val, true))
+        {
+          mark_modified ();
+        }
+    }
+}
+
+void
+uitable::properties::set_units (const octave_value& val)
+{
+  caseless_str old_units = get_units ();
+
+  if (units.set (val, true))
+    {
+      update_units (old_units);
+      mark_modified ();
+    }
+}
+
+void
+uitable::properties::update_units (const caseless_str& old_units)
+{
+  Matrix pos = get_position ().matrix_value ();
+
+  graphics_object parent_go = gh_manager::get_object (get_parent ());
+  Matrix parent_bbox = parent_go.get_properties ().get_boundingbox (true);
+  Matrix parent_size = parent_bbox.extract_n (0, 2, 1, 2);
+
+  pos = convert_position (pos, old_units, get_units (), parent_size);
+  set_position (pos);
+}
+
+void
+uitable::properties::set_fontunits (const octave_value& val)
+{
+  caseless_str old_fontunits = get_fontunits ();
+
+  if (fontunits.set (val, true))
+    {
+      update_fontunits (old_fontunits);
+      mark_modified ();
+    }
+}
+
+void
+uitable::properties::update_fontunits (const caseless_str& old_units)
+{
+  caseless_str new_units = get_fontunits ();
+  double parent_height = get_boundingbox (false).elem (3);
+  double fontsz = get_fontsize ();
+
+  fontsz = convert_font_size (fontsz, old_units, new_units, parent_height);
+
+  set_fontsize (octave_value (fontsz));
+}
+
+double
+uitable::properties::get_fontsize_points (double box_pix_height) const
+{
+  double fontsz = get_fontsize ();
+  double parent_height = box_pix_height;
+
+  if (fontunits_is ("normalized") && parent_height <= 0)
+    parent_height = get_boundingbox (false).elem (3);
+
+  return convert_font_size (fontsz, get_fontunits (), "points", parent_height);
+}
+
+double
+uitable::properties::get_fontsize_pixels (double box_pix_height) const
+{
+  double fontsz = get_fontsize ();
+  double parent_height = box_pix_height;
+
+  if (fontunits_is ("normalized") && parent_height <= 0)
+    parent_height = get_boundingbox (false).elem (3);
+
+  return convert_font_size (fontsz, get_fontunits (), "pixels", parent_height);
+}
+
+Matrix
+uitable::properties::get_backgroundcolor_rgb (void)
+{
+  Matrix bg = backgroundcolor.get ().matrix_value ();
+  return bg.row (0);
+}
+
+Matrix
+uitable::properties::get_alternatebackgroundcolor_rgb (void)
+{
+  int i = 0;
+  Matrix bg = backgroundcolor.get ().matrix_value ();
+  if (bg.rows () > 1)
+    i = 1;
+  return bg.row (i);
+}
+
+Matrix
+uitable::properties::get_extent_matrix (void) const
+{
+  return extent.get ().matrix_value ();
+}
+
+octave_value
+uitable::properties::get_extent (void) const
+{
+  // FIXME: Is it really acceptable to just let the toolkit update the extent?
+  Matrix m = extent.get ().matrix_value ();
+  graphics_object parent_go = gh_manager::get_object (get_parent ());
+  if (parent_go)
+    {
+      Matrix parent_bbox = parent_go.get_properties ().get_boundingbox (true);
+      Matrix parent_size = parent_bbox.extract_n (0, 2, 1, 2);
+
+      return convert_position (m, "pixels", get_units (), parent_size);
+    }
+  return m;
+}
+
+// ---------------------------------------------------------------------
+
 octave_value
 uitoolbar::get_default (const caseless_str& pname) const
 {
@@ -10662,6 +10937,15 @@
   GO_BODY (uicontextmenu);
 }
 
+DEFUN (__go_uitable__, args, ,
+       "-*- texinfo -*-\n\
+@deftypefn {} {} __go_uitable__ (@var{parent})\n\
+Undocumented internal function.\n\
+@end deftypefn")
+{
+  GO_BODY (uitable);
+}
+
 DEFUN (__go_uitoolbar__, args, ,
        doc: /* -*- texinfo -*-
 @deftypefn {} {} __go_uitoolbar__ (@var{parent})
@@ -11728,7 +12012,6 @@
 
   return ovl ();
 }
-
 DEFUN (__zoom__, args, ,
        doc: /* -*- texinfo -*-
 @deftypefn  {} {} __zoom__ (@var{axes}, @var{mode}, @var{factor})
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/graphics.in.h
--- a/libinterp/corefcn/graphics.in.h	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/corefcn/graphics.in.h	Fri Aug 19 21:21:35 2016 +0100
@@ -5733,6 +5733,105 @@
 
 // ---------------------------------------------------------------------
 
+class OCTINTERP_API uitable : public base_graphics_object
+{
+public:
+  class OCTINTERP_API properties : public base_properties
+  {
+  public:
+    Matrix get_boundingbox (bool internal = false,
+                            const Matrix& parent_pix_size = Matrix ()) const;
+
+    double get_fontsize_points (double box_pix_height = 0) const;
+
+    double get_fontsize_pixels (double box_pix_height = 0) const;
+
+    // See the genprops.awk script for an explanation of the
+    // properties declarations.
+    // Programming note: Keep property list sorted if new ones are added.
+
+    BEGIN_PROPERTIES (uitable)
+      any_property __object__ h , Matrix ()
+      array_property backgroundcolor , default_table_backgroundcolor ()
+      callback_property celleditcallback , Matrix ()
+      callback_property cellselectioncallback , Matrix ()
+      row_vector_property columneditable , Matrix ()
+      any_property columnformat S , Matrix ()
+      any_property columnname , "numbered"
+      any_property columnwidth S , "auto"
+      any_property data u , Matrix ()
+      radio_property enable , "{on}|inactive|off"
+      array_property extent rG , Matrix (1, 4, 0.0)
+      radio_property fontangle u , "{normal}|italic|oblique"
+      string_property fontname u , OCTAVE_DEFAULT_FONTNAME
+      double_property fontsize u , 10
+      radio_property fontunits S , "inches|centimeters|normalized|{points}|pixels"
+      radio_property fontweight u , "light|{normal}|demi|bold"
+      color_property foregroundcolor , color_values (0, 0, 0)
+      callback_property keypressfcn , Matrix ()
+      callback_property keyreleasefcn , Matrix ()
+      array_property position , default_table_position ()
+      bool_property rearrangeablecolumns , "off"
+      any_property rowname , "numbered"
+      bool_property rowstriping , "on"
+      string_property tooltipstring , ""
+      radio_property units S , "normalized|inches|centimeters|points|{pixels}|characters"
+    END_PROPERTIES
+
+    Matrix get_extent_matrix (void) const;
+
+    Matrix get_backgroundcolor_rgb (void);
+
+    Matrix get_alternatebackgroundcolor_rgb (void);
+
+  protected:
+    void init (void)
+    {
+      position.add_constraint (dim_vector (1, 4));
+      extent.add_constraint (dim_vector (1, 4));
+      backgroundcolor.add_constraint (dim_vector (-1, 3));
+      backgroundcolor.add_constraint ("double");
+      columneditable.add_constraint ("logical");
+    }
+
+    void update_units (const caseless_str& old_units);
+    void update_fontunits (const caseless_str& old_units);
+    void update_table_extent (void) { };
+    void update_data (void) { update_table_extent (); }
+    void update_fontname (void) { update_table_extent (); }
+    void update_fontsize (void) { update_table_extent (); }
+    void update_fontangle (void) { update_table_extent (); }
+    void update_fontweight (void) { update_table_extent (); }
+
+  };
+
+private:
+  properties xproperties;
+
+public:
+  uitable (const graphics_handle& mh, const graphics_handle& p)
+    : base_graphics_object (), xproperties (mh, p)
+  { }
+
+  ~uitable (void) { }
+
+  base_properties& get_properties (void) { return xproperties; }
+
+  const base_properties& get_properties (void) const { return xproperties; }
+
+  bool valid_object (void) const { return true; }
+
+  bool has_readonly_property (const caseless_str& pname) const
+  {
+    bool retval = xproperties.has_readonly_property (pname);
+    if (! retval)
+      retval = base_properties::has_readonly_property (pname);
+    return retval;
+  }
+};
+
+// ---------------------------------------------------------------------
+
 class OCTINTERP_API uitoolbar : public base_graphics_object
 {
 public:
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/module.mk
--- a/libinterp/corefcn/module.mk	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/corefcn/module.mk	Fri Aug 19 21:21:35 2016 +0100
@@ -87,6 +87,7 @@
   libinterp/corefcn/sparse-xdiv.h \
   libinterp/corefcn/sparse-xpow.h \
   libinterp/corefcn/symtab.h \
+  libinterp/corefcn/str2double.h \
   libinterp/corefcn/sysdep.h \
   libinterp/corefcn/text-renderer.h \
   libinterp/corefcn/toplev.h \
@@ -332,4 +333,3 @@
   libinterp/corefcn/oct-tex-lexer.in.ll \
   libinterp/corefcn/oct-tex-parser.in.yy \
   libinterp/corefcn/oct-tex-symbols.in
-
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/pr-output.cc
--- a/libinterp/corefcn/pr-output.cc	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/corefcn/pr-output.cc	Fri Aug 19 21:21:35 2016 +0100
@@ -346,7 +346,7 @@
   return os;
 }
 
-static inline std::string
+std::string
 rational_approx (double val, int len)
 {
   std::string s;
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/pr-output.h
--- a/libinterp/corefcn/pr-output.h	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/corefcn/pr-output.h	Fri Aug 19 21:21:35 2016 +0100
@@ -269,4 +269,7 @@
 // TRUE means don't put empty lines in output
 extern bool Vcompact_format;
 
+std::string
+rational_approx (double val, int len);
+
 #endif
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/str2double.cc
--- a/libinterp/corefcn/str2double.cc	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/corefcn/str2double.cc	Fri Aug 19 21:21:35 2016 +0100
@@ -259,8 +259,8 @@
 #endif
 }
 
-static Complex
-str2double1 (const std::string& str_arg)
+Complex
+str2double_internal (const std::string& str_arg)
 {
   Complex val (0.0, 0.0);
 
@@ -351,12 +351,12 @@
       if (args(0).rows () == 0 || args(0).columns () == 0)
         retval = Matrix (1, 1, octave::numeric_limits<double>::NaN ());
       else if (args(0).rows () == 1 && args(0).ndims () == 2)
-        retval = str2double1 (args(0).string_value ());
+        retval = str2double_internal (args(0).string_value ());
       else
         {
           const string_vector sv = args(0).string_vector_value ();
 
-          retval = sv.map<Complex> (str2double1);
+          retval = sv.map<Complex> (str2double_internal);
         }
     }
   else if (args(0).is_cell ())
@@ -368,7 +368,7 @@
       for (octave_idx_type i = 0; i < cell.numel (); i++)
         {
           if (cell(i).is_string ())
-            output(i) = str2double1 (cell(i).string_value ());
+            output(i) = str2double_internal (cell(i).string_value ());
         }
       retval = output;
     }
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/corefcn/str2double.h
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/libinterp/corefcn/str2double.h	Fri Aug 19 21:21:35 2016 +0100
@@ -0,0 +1,29 @@
+/*
+
+Copyright (C) 2016 Andrew Thornton
+
+This file is part of Octave.
+
+Octave is free software; you can redistribute it and/or modify it
+under the terms of the GNU General Public License as published by the
+Free Software Foundation; either version 3 of the License, or (at your
+option) any later version.
+
+Octave is distributed in the hope that it will be useful, but WITHOUT
+ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+for more details.
+
+You should have received a copy of the GNU General Public License
+along with Octave; see the file COPYING.  If not, see
+<http://www.gnu.org/licenses/>.
+
+*/
+
+#if ! defined (octave_str2double_h)
+#define octave_str2double_h 1
+
+#include "ov.h"
+
+Complex str2double_internal (const std::string& str_arg);
+#endif
diff -r 046ade63abc4 -r 006fe5e79583 libinterp/genprops.awk
--- a/libinterp/genprops.awk	Fri Aug 19 21:05:48 2016 +0200
+++ b/libinterp/genprops.awk	Fri Aug 19 21:21:35 2016 +0100
@@ -228,10 +228,10 @@
 
 function emit_get_callback (i)
 {
-  printf ("  void execute_%s (const octave_value& data = octave_value ()) const", name[i]);
+  printf ("  void execute_%s (const octave_value& _data = octave_value ()) const", name[i]);
 
   if (emit_get[i] == "definition")
-    printf (" { %s.execute (data); }\n", name[i]);
+    printf (" { %s.execute (_data); }\n", name[i]);
   else
     printf (";\n");
 
diff -r 046ade63abc4 -r 006fe5e79583 scripts/gui/module.mk
--- a/scripts/gui/module.mk	Fri Aug 19 21:05:48 2016 +0200
+++ b/scripts/gui/module.mk	Fri Aug 19 21:21:35 2016 +0100
@@ -32,6 +32,7 @@
   scripts/gui/uipushtool.m \
   scripts/gui/uiputfile.m \
   scripts/gui/uiresume.m \
+  scripts/gui/uitable.m \
   scripts/gui/uitoggletool.m \
   scripts/gui/uitoolbar.m \
   scripts/gui/uiwait.m \
